KPACKAGETOOL5(1)

NAMN
kpackagetool5 - Installera, lista eller ta bort paket för Plasma

SYNOPSIS

kpackagetool5 [-v, --version] [-h, --help] [--hash sökväg] [-g, --global] [-t, --type typ] [-i, --install sökväg] [-s, --show name] [-u, --upgrade path] [-l, --list] [--list-types] [-r, --remove namn] [-p, --packageroot sökväg] [--generate-index]

BESKRIVNING

kpackagetool5 är ett kommandoradsverktyg för att installera, lista eller ta bort Plasma-paket.

VÄLJARE

-v, --version
    Visar versionsinformation.

-h, --help
    visar den här hjälpen.

--hash sökväg
    Skapa ett SHA1-kondensat för paketet på ”sökväg”.

-g, --global
    Installation eller borttagning utförs med paket installerade för alla användare.

-t, --type typ
    Paketets typ, som motsvarar paketinsticksprogrammets tjänsttyp, t.ex. KPackage/Generic, Plasma/Theme, Plasma/Wallpaper, Plasma/Applet, etc.

-i, --install sökväg
    Installera paketet ”sökväg”.

-s, --show namn
    Visa information om paketet ”namn”.

-u, --upgrade sökväg
    Uppgradera paketet ”sökväg”.

-l, --list
    Lista installerade paket.

--list-types
    listar alla kända pakettyper som kan installeras.

-r, --remove namn
    Ta bort paketet som heter ”namn”.

-p, --packageroot sökväg
    Absolut sökväg till paketroten. Om den inte anges, används standarddatakatalogerna för Plasma-sessionen istället.

--generate-index sökväg
    Skapa om index över insticksprogram. Att användas tillsammans med väljaren -t eller -g. Skapar om index för den givna typen eller paketroten. Arbetar i användarkatalogen, om inte -g används.

SE OCKSÅ

Mer detaljerad användardokumentation är tillgänglig med help:/plasma-desktop (skriv antingen in webbadressen i Konqueror, eller kör khelpcenter help:/plasma-desktop).

UPPHOVSMÄN

kpackagetool5 är skrivet av Aaron Seigo <aseigo@kde.org>.